/*БЛОК с чекбоксами КЛАССЫ*/
#indexAll,#nonameTM{display: none;} /* Скрываем реальный чекбокс */
/* Задаем внешний вид для нашего кастомного чекбокса. Все обязательные свойства прокомментированы, остальные же свойства меняйте по вашему усмотрению */
.checkbox-all {
    position: relative;      /* Обязательно задаем, чтобы мы могли абсолютным образом позиционировать псевдоэлемент внютри нашего кастомного чекбокса */
    width: 22px;             /* Обязательно задаем ширину */
    height: 22px;            /* Обязательно задаем высоту */
    border: 2px solid #ccc;
    border-radius: 3px;
}
/* Кастомный чекбокс и лейбл центрируем по вертикали. Если вам это не требуется, то вы можете убрать свойство vertical-align: middle из данного правила, но свойство display: inline-block обязательно должно быть */
.checkbox-all, .label {display: inline-block; vertical-align: middle;} 
/* Если реальный чекбокс у нас отмечен, то тогда добавляем данный признак и к нашему кастомному чекбоксу*/
#indexAll:checked +.checkbox-all::before,#nonameTM:checked +.checkbox-all::before{
    content: "";             /* Добавляем наш псевдоэлемент */
    display: block;          /* Делаем его блочным элементом */
    position: absolute;      /* Позиционируем его абсолютным образом */ 
    /* Задаем расстояние от верхней, правой, нижней и левой границы */
    top: 2px;
    right: 0;
    bottom: 0;
    left: 2px; 
    background: url(../images/checkbox2.png) no-repeat;/* #413548;     /* Добавляем фон. Если требуется, можете поставить сюда картинку в виде "галочки", которая будет символизировать, что чекбокс отмечен */
    border-radius: 2px;
}
/**/
.check_buttons {
    margin: 20px;
    font: 12px;
    border: none;
}
.check_buttons input {
    position: absolute;
    left: -9999px;
}
.check_buttons label {
    display: block;
	text-align: center;
	/*font: 12px;*/
    padding: 2px 2px;
    border: 1px solid #BBBBBB;
    background: linear-gradient(to bottom,  rgba(229,229,229,1) 0%, rgba(255,255,255,1) 90%, #17479e 100%);
    box-shadow: 0 2px 5px rgba(0, 0, 0, .12);
    /*cursor: pointer;*/
}
.check_buttons input:checked + label {
    background: white;
    box-shadow: inset 0 3px 6px rgba(0, 0, 0, .2);
	background: #5f80c3;/*C1FFC1;*/ 
	color:white
}
/*.check_buttons:first-child label {
    margin-left: 0;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}
.check_buttons:last-child label {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}*/
.check_buttons label:hover { background: #cfe3f1; }
/*.check_buttons input:checked + label:hover {	background: #e5e5e5; }*/

.label-customTM{
	height: 28px;
	cursor: pointer;
	border-radius: 4px;
}